From: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date: Sun, 2 May 2021 03:47:17 +0200
Subject: s5k3l6xx: Don't touch analog gain in frame regs

Otherwise it gets reset behind v4l2's back when restarting the stream.
---
 drivers/media/i2c/s5k3l6xx.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index af34912..eb125e6 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -102,8 +102,6 @@ static const struct s5k3l6xx_reg frame_1052x780px_8bit_xfps_2lane[] = {
 	// op_pll_multiplier, default 0064
 	{ 0x030e, 0x0036,       2 },
 
-	// analog gain
-	{ 0x0204, 0x0100,       2 },
 	// y_addr_start
 	{ 0x0346, 0x0000,       2 },
 	// end = y_output_size * binning_factor + y_addr_start
